Bug 1010596 - [abrt] calibre-0.9.42-1.fc19: QString::free: Process /usr/bin/python2.7 was killed by signal 6 (SIGABRT) [NEEDINFO]
[abrt] calibre-0.9.42-1.fc19: QString::free: Process /usr/bin/python2.7 was k...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: calibre (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Extras Quality Assurance
abrt_hash:588621ab9a22979c66b9819d39e...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-21 15:56 EDT by Stefano Cavallari
Modified: 2015-02-18 06:28 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-18 06:28:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
kevin: needinfo?


Attachments (Terms of Use)
File: backtrace (131.82 KB, text/plain)
2013-09-21 15:56 EDT, Stefano Cavallari
no flags Details
File: cgroup (141 bytes, text/plain)
2013-09-21 15:57 EDT, Stefano Cavallari
no flags Details
File: core_backtrace (71.29 KB, text/plain)
2013-09-21 15:57 EDT, Stefano Cavallari
no flags Details
File: dso_list (27.01 KB, text/plain)
2013-09-21 15:57 EDT, Stefano Cavallari
no flags Details
File: environ (1.60 KB, text/plain)
2013-09-21 15:57 EDT, Stefano Cavallari
no flags Details
File: limits (1.29 KB, text/plain)
2013-09-21 15:57 EDT, Stefano Cavallari
no flags Details
File: maps (137.22 KB, text/plain)
2013-09-21 15:57 EDT, Stefano Cavallari
no flags Details
File: open_fds (647 bytes, text/plain)
2013-09-21 15:57 EDT, Stefano Cavallari
no flags Details
File: proc_pid_status (931 bytes, text/plain)
2013-09-21 15:57 EDT, Stefano Cavallari
no flags Details
File: var_log_messages (395 bytes, text/plain)
2013-09-21 15:57 EDT, Stefano Cavallari
no flags Details

  None (edit)
Description Stefano Cavallari 2013-09-21 15:56:54 EDT
Version-Release number of selected component:
calibre-0.9.42-1.fc19

Additional info:
reporter:       libreport-2.1.7
backtrace_rating: 4
cmdline:        python2 /usr/bin/calibre
crash_function: QString::free
executable:     /usr/bin/python2.7
kernel:         3.11.1-200.fc19.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #5 QString::free at tools/qstring.cpp:1235
 #6 ~QString at ../../src/corelib/tools/qstring.h:880
 #7 QDBusMessagePrivate::~QDBusMessagePrivate at qdbusmessage.cpp:72
 #8 QDBusMessage::~QDBusMessage at qdbusmessage.cpp:537
 #9 ~QDBusCallDeliveryEvent at qdbusintegrator_p.h:93
 #10 QDBusCallDeliveryEvent::~QDBusCallDeliveryEvent at qdbusintegrator_p.h:93
 #11 QCoreApplicationPrivate::sendPostedEvents at kernel/qcoreapplication.cpp:1589
 #12 QCoreApplication::sendPostedEvents at kernel/qcoreapplication.cpp:1466
 #13 sendPostedEvents at kernel/qcoreapplication.h:236
 #14 postEventSourceDispatch at kernel/qeventdispatcher_glib.cpp:280
Comment 1 Stefano Cavallari 2013-09-21 15:56:59 EDT
Created attachment 800988 [details]
File: backtrace
Comment 2 Stefano Cavallari 2013-09-21 15:57:02 EDT
Created attachment 800989 [details]
File: cgroup
Comment 3 Stefano Cavallari 2013-09-21 15:57:06 EDT
Created attachment 800990 [details]
File: core_backtrace
Comment 4 Stefano Cavallari 2013-09-21 15:57:09 EDT
Created attachment 800991 [details]
File: dso_list
Comment 5 Stefano Cavallari 2013-09-21 15:57:13 EDT
Created attachment 800992 [details]
File: environ
Comment 6 Stefano Cavallari 2013-09-21 15:57:16 EDT
Created attachment 800993 [details]
File: limits
Comment 7 Stefano Cavallari 2013-09-21 15:57:20 EDT
Created attachment 800994 [details]
File: maps
Comment 8 Stefano Cavallari 2013-09-21 15:57:23 EDT
Created attachment 800995 [details]
File: open_fds
Comment 9 Stefano Cavallari 2013-09-21 15:57:27 EDT
Created attachment 800996 [details]
File: proc_pid_status
Comment 10 Stefano Cavallari 2013-09-21 15:57:30 EDT
Created attachment 800997 [details]
File: var_log_messages
Comment 11 Kevin Fenzi 2013-09-21 16:22:48 EDT
What were you doing when this happened?

Can you duplicate the crash?

Does upgrading to the newest version from the side repo help: 

su
cd /etc/yum.repos.d/
wget http://repos.fedorapeople.org/repos/kevin/calibre/fedora-calibre.repo
yum clean all
yum update calibre
Comment 12 Stefano Cavallari 2013-09-21 18:32:23 EDT
Calibre was idle after an automatic download (it downloads news nightly).
I cannot reproduce the bug unfortunately
Comment 13 Fedora End Of Life 2015-01-09 17:18:40 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 14 Fedora End Of Life 2015-02-18 06:28:57 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.